## libsolv 0.6.35

=== test/CMakeLists.txt ===
FOREACH(tcdir testcases libsolv-zypptestcases)
    IF(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${tcdir}")
        FILE(GLOB dirs "${CMAKE_CURRENT_SOURCE_DIR}/${tcdir}/[_a-zA-Z0-9]*")
        FOREACH(dir ${dirs})
	    IF(IS_DIRECTORY ${dir})
		FILE(RELATIVE_PATH myname "${CMAKE_CURRENT_SOURCE_DIR}/${tcdir}" ${dir})
		ADD_TEST(${myname} ${CMAKE_CURRENT_SOURCE_DIR}/runtestcases ${CMAKE_BINARY_DIR}/tools/testsolv ${dir})
	    ENDIF(IS_DIRECTORY ${dir})
        ENDFOREACH(dir)
    ENDIF(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${tcdir}")
ENDFOREACH(tcdir)

=== debian/changelog ===
libsolv (0.6.35-2+deb10u1) buster; urgency=medium

  * debian/patches:
    + CVE-2019-20387: Add 0001_CVE-2019-20387.patch. Resolves heap-based buffer
      over-read in repodata.c (Closes: #949611).
    + 1006_various-types.patch: Trivial rebase.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Jan 2020 22:58:10 +0100

libsolv (0.6.35-2) unstable; urgency=medium

  * debian/changelog: White-space cleanup in previous stanza.
  * debian/rules:
    + Add build time option ENABLE_COMPLEX_DEPS=1.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Sep 2018 11:14:21 +0200

libsolv (0.6.35-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.
    + Update Vcs-*: fields. Packaging Git has been migrated to
      salsa.debian.org.
    + Drop ancient X-Python{,3}-Version: fields.
    + Add to B-D: dh-python.
  * debian/patches:
    + Rebase 1004_cmake-module-path-fix.patch and 1006_various-types.patch.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.
  * debian/libsolv0.symbols:
    + Update symbols.
  * debian/libsolv-tools.lintian-overrides:
    + Drop file. Issues solved with this upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Aug 2018 12:36:18 +0200

libsolv (0.6.34-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + White-space cleanup.
  * debian/patches:
    + Drop 2001_build-for-SUSE-and-find-rpmdb.patch. Not required anymore.
    + Update/rebase patches.
  * debian/{control,compat}:
    + Bump to DH compat level 10. (CDBS not yet supports level 11,
      unfortunately).
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.
    + Update copyright attributions.
  * debian/libsolv0.symbols:
    + Update symbols. Remove flawed part of the file that contained
      libsolvext.so.0 symbol names.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Apr 2018 12:49:07 +0200

=== debian/control ===
Source: libsolv
Section: admin
Priority: optional
Maintainer: Mike Gabriel <sunweaver@debian.org>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 dpkg-dev (>= 1.16.1.1),
 cdbs,
 cmake,
 libexpat1-dev,
 zlib1g-dev,
 librpm-dev (>= 4),
 liblzma-dev,
 libbz2-dev,
 python-dev,
 libpython-dev,
 python3-dev,
 libpython3-dev,
 swig,
Standards-Version: 4.2.1
Homepage: https://github.com/openSUSE/libsolv
Vcs-Browser: https://salsa.debian.org/debian/libsolv/
Vcs-Git: https://salsa.debian.org/debian/libsolv.git

Package: libsolv0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: dependency solver using a satisfiability algorithm (shared library)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 Supported package formats:
   - rpm/rpm5
   - deb
   - Arch Linux
   - haiku
 .
 Supported repository formats:
   - rpmmd (primary, filelists, comps, deltainfo/presto, updateinfo)
   - susetags, suse product formats
   - mandriva/mageia (synthesis, info, files)
   - Arch Linux
   - red carpet helix format
   - haiku

Package: libsolv-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Description: dependency solver using a satisfiablility algorithm (documentation files)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains documentation files for libsolv.

Package: libsolv0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Provides:
 libsolv-dev
Depends:
 ${misc:Depends},
 libsolv0 (= ${binary:Version}),
 libsolvext0-dev (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (development files)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains development files for libsolv.

Package: libsolvext0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: dependency solver using a satisfiability algorithm (extensions)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 Search the internet  for 'sat solver' to get links to the theory behind it.
 .
 Supported package formats:
   - rpm/rpm5
   - deb
   - Arch Linux
   - haiku
 .
 Supported repository formats:
   - rpmmd (primary, filelists, comps, deltainfo/presto, updateinfo)
   - susetags, suse product formats
   - mandriva/mageia (synthesis, info, files)
   - Arch Linux
   - red carpet helix format
   - haiku
 .
 This package contains the libsolv extension library.

Package: libsolvext0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Provides:
 libsolvext-dev
Depends:
 ${misc:Depends},
 libsolvext0 (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (ext development files)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains development files for libsolvext.

Package: libsolv-tools
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libsolv0 (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (command-line tools)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains command-line tools that facilitate using libsolv.

Package: python-solv
Section: python
Architecture: any
Depends:
 ${python:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libsolv0 (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (Python2 bindings)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains the Python (v2) bindings for the libsolv0 library.

Package: python3-solv
Section: python
Architecture: any
Depends:
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libsolv0 (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (Python3 bindings)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains the Python (v3) bindings for the libsolv0 library.

Package: libsolv-perl
Section: perl
Architecture: any
Depends:
 ${perl:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libsolv0 (= ${binary:Version}),
Description: dependency solver using a satisfiability algorithm (Perl bindings)
 This dependency solver code in this package is based on two major, but
 independent, blocks:
 .
 1. Using a dictionary approach to store and retrieve package
    and dependency information.
 2. Using satisfiability, a well known and researched topic, for
    resolving package dependencies.
 .
 This package contains the Perl bindings for the libsolv0 library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/class/python-module.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_DH_INSTALL_ARGS += --fail-missing

DEB_DH_INSTALLCHANGELOGS_ARGS = NEWS

DEB_INSTALL_DOCS_ALL = README CREDITS BUGS

DEB_CMAKE_EXTRA_FLAGS := \
                         -DCMAKE_INSTALL_PREFIX=/usr \
                         -DLIB="lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)" \
                         -DINCLUDE="include/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)" \
                         -DUSE_VENDORDIRS=1 \
                         -DMULTI_SEMANTICS=1 \
                         -DDEBIAN=1 \
                         -DENABLE_PUBKEY=1 \
                         -DENABLE_SUSEREPO=1 \
                         -DENABLE_RPMMD=1 \
                         -DENABLE_RPMDB=1 \
                         -DENABLE_RPMDB_BYRPMHEADER=1 \
                         -DENABLE_HELIXREPO=1 \
                         -DENABLE_DEBIAN=1 \
                         -DENABLE_MDKREPO=1 \
                         -DENABLE_ARCHREPO=1 \
                         -DENABLE_CUDFREPO=1 \
                         -DCMAKE_VERBOSE_MAKEFILE=ON \
                         -DENABLE_LZMA_COMPRESSION=1 \
                         -DENABLE_BZIP2_COMPRESSION=1 \
                         -DENABLE_PERL=1 \
                         -DENABLE_PYTHON=1 \
                         -DENABLE_PYTHON3=1 \
                         -DCMAKE_SKIP_RPATH=FALSE \
                         -DCMAKE_SKIP_INSTALL_RPATH=TRUE \
                         -DENABLE_COMPLEX_DEPS=1 \
                         $(NULL)

DEB_MAKE_CHECK_TARGET := test

common-install-indep:: remove-cruft tweak-install
common-install-arch:: remove-cruft tweak-install

remove-cruft::
	@echo "Nothing to decruft after installation."

tweak-install::
	if [ -e debian/tmp/usr/bin/repo2solv.sh ]; then mv debian/tmp/usr/bin/repo2solv.sh debian/tmp/usr/bin/repo2solv; fi

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## libsolv 0.6.36

=== CMakeLists.txt ===
PROJECT (libsolv)

CMAKE_MINIMUM_REQUIRED (VERSION 2.4)

OPTION (ENABLE_STATIC "Build a static version of the libraries?" OFF)
OPTION (DISABLE_SHARED "Do not build a shared version of the libraries?" OFF)

OPTION (ENABLE_PERL "Build the perl bindings?" OFF)
OPTION (ENABLE_PYTHON "Build the python bindings?" OFF)
OPTION (ENABLE_RUBY "Build the ruby bindings?" OFF)
OPTION (ENABLE_TCL "Build the Tcl bindings?" OFF)

OPTION (USE_VENDORDIRS "Install the bindings in vendor directories?" OFF)

OPTION (ENABLE_RPMDB "Build with rpm database support?" OFF)
OPTION (ENABLE_RPMPKG "Build with rpm package support?" OFF)
OPTION (ENABLE_PUBKEY "Build with pubkey support?" OFF)
OPTION (ENABLE_RPMDB_BYRPMHEADER "Build with rpmdb Header support?" OFF)
OPTION (ENABLE_RPMDB_LIBRPM "Use librpm to access the rpm database?" OFF)
OPTION (ENABLE_RPMPKG_LIBRPM "Use librpm to access rpm header information?" OFF)
OPTION (ENABLE_RPMMD "Build with rpmmd repository support?" OFF)
OPTION (ENABLE_SUSEREPO "Build with suse repository support?" OFF)
OPTION (ENABLE_COMPS "Build with fedora comps support?" OFF)
OPTION (ENABLE_HELIXREPO "Build with helix repository support?" OFF)
OPTION (ENABLE_DEBIAN "Build with debian database/repository support?" OFF)
OPTION (ENABLE_MDKREPO "Build with mandriva/mageia repository support?" OFF)
OPTION (ENABLE_ARCHREPO "Build with archlinux repository support?" OFF)
OPTION (ENABLE_CUDFREPO "Build with cudf repository support?" OFF)
OPTION (ENABLE_HAIKU "Build with Haiku package support?" OFF)
OPTION (ENABLE_APPDATA "Build with AppStream appdata support?" OFF)

OPTION (MULTI_SEMANTICS "Build with support for multiple distribution types?" OFF)

OPTION (ENABLE_LZMA_COMPRESSION "Build with lzma/xz compression support?" OFF)
OPTION (ENABLE_BZIP2_COMPRESSION "Build with bzip2 compression support?" OFF)
OPTION (ENABLE_ZSTD_COMPRESSION "Build with zstd compression support?" OFF)
OPTION (ENABLE_ZCHUNK_COMPRESSION "Build with zchunk compression support?" OFF)

OPTION (WITH_LIBXML2  "Build with libxml2 instead of libexpat?" OFF)

# Library
IF (DEFINED LIB)
  SET (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${LIB}")
ELSE (DEFINED  LIB)
  IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
    SET (LIB_SUFFIX "64")
  ENDIF (CMAKE_SIZEOF_VOID_P MATCHES "8")
  SET (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ENDIF (DEFINED  LIB)
MESSAGE (STATUS "Libraries will be installed in ${LIB_INSTALL_DIR}")
# Library
IF (DEFINED INCLUDE)
  SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${INCLUDE}")
else (DEFINED INCLUDE)
  SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ENDIF (DEFINED  INCLUDE)
MESSAGE (STATUS "Header files will be installed in ${INCLUDE_INSTALL_DIR}")
SET (BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
IF (NOT MAN_INSTALL_DIR)
SET (MAN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/man")
IF (IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/man"  AND NOT IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/share/man")
  SET (MAN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/man")
ENDIF (IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/man"  AND NOT IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/share/man")
ENDIF (NOT MAN_INSTALL_DIR)
MESSAGE(STATUS "Man pages will be installed in ${MAN_INSTALL_DIR}")

IF (NOT PKGCONFIG_INSTALL_DIR)
  SET (PKGCONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/pkgconfig)
ENDIF (NOT PKGCONFIG_INSTALL_DIR)
####################################################################
# CONFIGURATION                                                    #
####################################################################

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
SET (CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
INSTALL( FILES ${CMAKE_MODULE_PATH}/FindLibSolv.cmake DESTINATION ${CMAKE_INSTALL_PREFIX}/share/cmake/Modules )

INCLUDE (${CMAKE_SOURCE_DIR}/VERSION.cmake)

SET (have_system x)

IF (FEDORA)
MESSAGE(STATUS "Building for Fedora")
ADD_DEFINITIONS (-DFEDORA)
SET (ENABLE_RPMDB ON)
SET (ENABLE_RPMMD ON)
SET (have_system ${have_system}x)
ENDIF (FEDORA)

IF (DEBIAN)
MESSAGE (STATUS "Building for Debian")
ADD_DEFINITIONS (-DDEBIAN)
SET (ENABLE_DEBIAN ON)
SET (have_system ${have_system}x)
ENDIF (DEBIAN)

IF (SUSE)
MESSAGE (STATUS "Building for SUSE")
ADD_DEFINITIONS (-DSUSE)
SET (ENABLE_RPMDB ON)
SET (ENABLE_PUBKEY ON)
SET (ENABLE_RPMDB_BYRPMHEADER ON)
SET (ENABLE_RPMMD ON)
SET (ENABLE_SUSEREPO ON)
SET (ENABLE_HELIXREPO ON)
SET (ENABLE_LINKED_PKGS ON)
SET (have_system ${have_system}x)
ENDIF (SUSE)

IF (ARCHLINUX)
MESSAGE (STATUS "Building for Archlinux")
ADD_DEFINITIONS (-DARCHLINUX)
SET (ENABLE_ARCHREPO ON)
SET (have_system ${have_system}x)
ENDIF (ARCHLINUX)

IF (MANDRIVA)
MESSAGE (STATUS "Building for Mandriva")
ADD_DEFINITIONS (-DMANDRIVA)
SET (ENABLE_MDKREPO ON)
SET (ENABLE_RPMDB ON)
SET (have_system ${have_system}x)
ENDIF (MANDRIVA)

IF (MAGEIA)
MESSAGE (STATUS "Building for Mageia")
ADD_DEFINITIONS (-DMAGEIA)
SET (ENABLE_MDKREPO ON)
SET (ENABLE_RPMDB ON)
SET (ENABLE_RPMMD ON)
SET (ENABLE_LZMA_COMPRESSION ON)
SET (have_system ${have_system}x)
ENDIF (MAGEIA)

IF (HAIKU)
MESSAGE(STATUS "Building for Haiku")
FIND_LIBRARY(HAIKU_BE_LIBRARY NAMES be)
FIND_LIBRARY(HAIKU_NETWORK_LIBRARY NAMES network)
FIND_LIBRARY(HAIKU_PACKAGE_LIBRARY NAMES package)
SET (HAIKU_SYSTEM_LIBRARIES
    ${HAIKU_BE_LIBRARY} ${HAIKU_NETWORK_LIBRARY} ${HAIKU_PACKAGE_LIBRARY})
ADD_DEFINITIONS (-DHAIKU)
SET (ENABLE_HAIKU ON)
SET (have_system ${have_system}x)
ENDIF (HAIKU)

IF (${have_system} STREQUAL x)
    MESSAGE (STATUS "Building for no system")
ENDIF (${have_system} STREQUAL x)
IF (${have_system} STRGREATER xx)
    MESSAGE (FATAL_ERROR "Can only compile for one system type.")
ENDIF (${have_system} STRGREATER xx)

SET (ENABLE_ZLIB_COMPRESSION ON)
IF (ENABLE_ARCHREPO OR ENABLE_DEBIAN)
SET (ENABLE_LZMA_COMPRESSION ON)
ENDIF (ENABLE_ARCHREPO OR ENABLE_DEBIAN)

IF (ENABLE_ZCHUNK_COMPRESSION)
SET (ENABLE_ZSTD_COMPRESSION ON)
ENDIF (ENABLE_ZCHUNK_COMPRESSION)

IF (ENABLE_RPMMD OR ENABLE_SUSEREPO OR ENABLE_APPDATA OR ENABLE_COMPS OR ENABLE_HELIXREPO OR ENABLE_MDKREPO)
IF (WITH_LIBXML2 )
FIND_PACKAGE (LibXml2 REQUIRED)
INCLUDE_DIRECTORIES (${LIBXML2_INCLUDE_DIR})
ELSE(WITH_LIBXML2 )
FIND_PACKAGE (EXPAT REQUIRED)
INCLUDE_DIRECTORIES (${EXPAT_INCLUDE_DIRS})
ENDIF (WITH_LIBXML2 )
ENDIF (ENABLE_RPMMD OR ENABLE_SUSEREPO OR ENABLE_APPDATA OR ENABLE_COMPS OR ENABLE_HELIXREPO OR ENABLE_MDKREPO)

IF (ENABLE_ZLIB_COMPRESSION)
FIND_PACKAGE (ZLIB REQUIRED)
ENDIF (ENABLE_ZLIB_COMPRESSION)

IF (ENABLE_LZMA_COMPRESSION)
FIND_PACKAGE (LZMA REQUIRED)
ENDIF (ENABLE_LZMA_COMPRESSION)

IF (ENABLE_BZIP2_COMPRESSION)
FIND_PACKAGE (BZip2 REQUIRED)
ENDIF (ENABLE_BZIP2_COMPRESSION)

IF (ENABLE_ZSTD_COMPRESSION)
FIND_LIBRARY (ZSTD_LIBRARY NAMES zstd)
ENDIF (ENABLE_ZSTD_COMPRESSION)

IF (RPM5)
MESSAGE (STATUS "Enabling RPM 5 support")
ADD_DEFINITIONS (-DRPM5)
SET (ENABLE_RPMDB ON)
SET (ENABLE_RPMMD ON)
FIND_PACKAGE (PkgConfig REQUIRED)
PKG_CHECK_MODULES (RPM REQUIRED rpm)
INCLUDE_DIRECTORIES (${RPM_INCLUDE_DIRS})
ENDIF (RPM5)

IF (MULTI_SEMANTICS)
MESSAGE (STATUS "Enabling multi dist support")
ENDIF (MULTI_SEMANTICS)

IF (ENABLE_RPMDB)
SET (ENABLE_RPMPKG ON)
ENDIF (ENABLE_RPMDB)

INCLUDE (CheckIncludeFile)
IF (ENABLE_RPMDB OR ENABLE_RPMPKG_LIBRPM)
  FIND_LIBRARY (RPMDB_LIBRARY NAMES rpmdb)

  IF (NOT RPMDB_LIBRARY)
    FIND_LIBRARY (RPMDB_LIBRARY NAMES rpm)
  ENDIF (NOT RPMDB_LIBRARY)

  FIND_LIBRARY (RPMIO_LIBRARY NAMES rpmio)
  IF (RPMIO_LIBRARY)
    SET(RPMDB_LIBRARY ${RPMIO_LIBRARY} ${RPMDB_LIBRARY})
  ENDIF (RPMIO_LIBRARY)

  IF (RPM5)
    FIND_LIBRARY (RPMMISC_LIBRARY NAMES rpmmisc)
    IF (RPMMISC_LIBRARY)
      SET (RPMDB_LIBRARY ${RPMMISC_LIBRARY} ${RPMDB_LIBRARY})
    ENDIF (RPMMISC_LIBRARY)
  ENDIF (RPM5)

  # check if rpm contains a bundled berkeley db
  CHECK_INCLUDE_FILE(rpm/db.h HAVE_RPM_DB_H)
  IF (NOT ENABLE_RPMDB_LIBRPM)
    IF (NOT HAVE_RPM_DB_H)
      FIND_LIBRARY (DB_LIBRARY NAMES db)
      IF (DB_LIBRARY)
        SET (RPMDB_LIBRARY ${DB_LIBRARY} ${RPMDB_LIBRARY})
      ENDIF (DB_LIBRARY)
      IF (DB_INCLUDE_DIR)
        INCLUDE_DIRECTORIES (${DB_INCLUDE_DIR})
      ENDIF (DB_INCLUDE_DIR)
    ENDIF (NOT HAVE_RPM_DB_H)
  ENDIF (NOT ENABLE_RPMDB_LIBRPM)
  INCLUDE (CheckLibraryExists)
  CHECK_LIBRARY_EXISTS(rpmio pgpDigGetParams "" HAVE_PGPDIGGETPARAMS)
ENDIF (ENABLE_RPMDB OR ENABLE_RPMPKG_LIBRPM)

IF (ENABLE_PUBKEY)
  SET (ENABLE_PGPVRFY ON)
ENDIF (ENABLE_PUBKEY)

INCLUDE (CheckFunctionExists)
INCLUDE (TestBigEndian)

CHECK_FUNCTION_EXISTS (strchrnul HAVE_STRCHRNUL)
CHECK_FUNCTION_EXISTS (fopencookie HAVE_FOPENCOOKIE)
CHECK_FUNCTION_EXISTS (funopen HAVE_FUNOPEN)
TEST_BIG_ENDIAN (WORDS_BIGENDIAN)

IF (${CMAKE_MAJOR_VERSION} GREATER 2)
INCLUDE (CMakePushCheckState)
INCLUDE (CheckCCompilerFlag)
MACRO (check_linker_flag FLAG VAR)
	CMAKE_PUSH_CHECK_STATE (RESET)
	SET (CMAKE_REQUIRED_FLAGS "${FLAG}")
	CHECK_C_COMPILER_FLAG ("" "${VAR}")
	CMAKE_POP_CHECK_STATE ()
ENDMACRO (check_linker_flag)
check_linker_flag("-Wl,--as-needed" HAVE_LINKER_AS_NEEDED)
check_linker_flag("-Wl,--version-script=${CMAKE_SOURCE_DIR}/src/libsolv.ver" HAVE_LINKER_VERSION_SCRIPT)
ELSE (${CMAKE_MAJOR_VERSION} GREATER 2)
SET (HAVE_LINKER_AS_NEEDED 1)
SET (HAVE_LINKER_VERSION_SCRIPT 1)
ENDIF (${CMAKE_MAJOR_VERSION} GREATER 2)

# should create config.h with #cmakedefine instead...
FOREACH (VAR HAVE_STRCHRNUL HAVE_FOPENCOOKIE HAVE_FUNOPEN WORDS_BIGENDIAN
  HAVE_RPM_DB_H HAVE_PGPDIGGETPARAMS WITH_LIBXML2 )
  IF(${VAR})
    ADD_DEFINITIONS (-D${VAR}=1)
    SET (SWIG_FLAGS ${SWIG_FLAGS} -D${VAR})
  ENDIF (${VAR})
ENDFOREACH (VAR)

FOREACH (VAR
  ENABLE_LINKED_PKGS ENABLE_COMPLEX_DEPS MULTI_SEMANTICS)
  IF(${VAR})
    ADD_DEFINITIONS (-D${VAR}=1)
    SET (SWIG_FLAGS ${SWIG_FLAGS} -D${VAR})
    STRING(REPLACE ENABLE_ "" VARX ${VAR})
    SET (LIBSOLV_FEATURE_${VARX} 1)
  ENDIF (${VAR})
ENDFOREACH (VAR)

FOREACH (VAR
  ENABLE_RPMDB ENABLE_RPMPKG ENABLE_PUBKEY ENABLE_RPMMD
  ENABLE_RPMPKG_LIBRPM ENABLE_RPMDB_LIBRPM ENABLE_RPMDB_BYRPMHEADER
  ENABLE_SUSEREPO ENABLE_COMPS ENABLE_TESTCASE_HELIXREPO
  ENABLE_HELIXREPO ENABLE_MDKREPO ENABLE_ARCHREPO ENABLE_DEBIAN ENABLE_HAIKU
  ENABLE_ZLIB_COMPRESSION ENABLE_LZMA_COMPRESSION ENABLE_BZIP2_COMPRESSION
  ENABLE_ZSTD_COMPRESSION ENABLE_ZCHUNK_COMPRESSION ENABLE_PGPVRFY ENABLE_APPDATA)
  IF(${VAR})
    ADD_DEFINITIONS (-D${VAR}=1)
    SET (SWIG_FLAGS ${SWIG_FLAGS} -D${VAR})
    STRING(REPLACE ENABLE_ "" VARX ${VAR})
    SET (LIBSOLVEXT_FEATURE_${VARX} 1)
  ENDIF (${VAR})
ENDFOREACH (VAR)

SET (PACKAGE "libsolv")
SET (VERSION "${LIBSOLV_MAJOR}.${LIBSOLV_MINOR}.${LIBSOLV_PATCH}")

ADD_DEFINITIONS (-D_FILE_OFFSET_BITS=64)
CONFIGURE_FILE (src/solvversion.h.in src/solvversion.h)

SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "Package dependency solver library")
SET (CPACK_PACKAGE_VENDOR "SUSE")
SET (CPACK_PACKAGE_VERSION_MAJOR ${LIBSOLV_MAJOR})
SET (CPACK_PACKAGE_VERSION_MINOR ${LIBSOLV_MINOR})
SET (CPACK_PACKAGE_VERSION_PATCH ${LIBSOLV_PATCH})
SET (CPACK_GENERATOR "TBZ2")
SET (CPACK_SOURCE_GENERATOR "TBZ2")
SET (CPACK_SOURCE_PACKAGE_FILE_NAME "${PACKAGE}-${VERSION}")
SET (CPACK_SOURCE_TOPLEVEL_TAG "Linux-Source:")
SET (CPACK_TOPLEVEL_TAG "Linux-Source:")

# The following components are regex's to match anywhere (unless anchored)
# in absolute path + filename to find files or directories to be excluded
# from source tarball.
SET (CPACK_SOURCE_IGNORE_FILES
# temporary files
"\\\\.swp$"
# backup files
"~$"
# eclipse files
"\\\\.cdtproject$"
"\\\\.cproject$"
"\\\\.project$"
"\\\\.settings/"
# others
"\\\\.#"
"/#"
"/build/"
"/_build/"
"/\\\\.git/"
# used before
"/\\\\.libs/"
"/\\\\.deps/"
"\\\\.o$"
"\\\\.lo$"
"\\\\.la$"
"Makefile$"
"Makefile\\\\.in$"
# cmake cache files
"DartConfiguration.tcl$"
"CMakeCache.txt"
"CMakeFiles"
"cmake_install.cmake$"
"CMakeLists.txt.auto$"
"CTestTestfile.cmake"
"CPackConfig.cmake$"
"CPackSourceConfig.cmake$"
"libsolv.spec$"
)

INCLUDE(CPack)

####################################################################
# INCLUDES                                                         #

=== bindings/python3/CMakeLists.txt ===
#
# used for building both python2 and python3 bindings
# do not use if you want to build just one flavor, use the
# standard python bindings file in that case.
#
# we cannot use FIND_PACKAGE PythonLibs here, as this would
# clash with the python variables.
#
IF (NOT DEFINED PYTHON3_EXECUTABLE)
SET (PYTHON3_EXECUTABLE "/usr/bin/python3")
ENDIF (NOT DEFINED PYTHON3_EXECUTABLE)

EXECUTE_PROCESS(COMMAND ${PYTHON3_EXECUTABLE} -c "from sys import stdout; from distutils import sysconfig; stdout.write(sysconfig.get_python_lib(True))" OUTPUT_VARIABLE PYTHON3_INSTALL_DIR)
EXECUTE_PROCESS(COMMAND ${PYTHON3_EXECUTABLE} -c "from sys import stdout; from distutils import sysconfig; stdout.write(sysconfig.get_python_inc())" OUTPUT_VARIABLE PYTHON3_INCLUDE_DIR)

SET (SWIG_PY3_FLAGS -DPYTHON3=1)
SET (SWIG_PY3_FLAGS ${SWIG_PY3_FLAGS} -DSWIG_PYTHON_LEGACY_BOOL=1)

MESSAGE (STATUS "Python3 executable: ${PYTHON3_EXECUTABLE}")
MESSAGE (STATUS "Python3 installation dir: ${PYTHON3_INSTALL_DIR}")
MESSAGE (STATUS "Python3 include path: ${PYTHON3_INCLUDE_DIR}")

ADD_CUSTOM_COMMAND (
    OUTPUT solv_python.c
    COMMAND ${SWIG_EXECUTABLE} ${SWIG_FLAGS} -python ${SWIG_PY3_FLAGS} -I${CMAKE_SOURCE_DIR}/src -o solv_python.c ${CMAKE_SOURCE_DIR}/bindings/solv.i
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${CMAKE_SOURCE_DIR}/bindings/solv.i
)

ADD_DEFINITIONS(-Wno-unused)
INCLUDE_DIRECTORIES (${PYTHON3_INCLUDE_DIR})

ADD_LIBRARY (bindings_python3 SHARED solv_python.c)
SET_TARGET_PROPERTIES (bindings_python3 PROPERTIES PREFIX "" OUTPUT_NAME "_solv")
TARGET_LINK_LIBRARIES (bindings_python3 libsolvext libsolv ${SYSTEM_LIBRARIES})

INSTALL (TARGETS bindings_python3 LIBRARY DESTINATION ${PYTHON3_INSTALL_DIR})
INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/solv.py DESTINATION ${PYTHON3_INSTALL_DIR})

=== debian/changelog ===
libsolv (0.6.36-2) unstable; urgency=medium

  * debian/patches:
    + CVE-2019-20387: Add 0001_CVE-2019-20387.patch. Resolves heap-based buffer
      over-read in repodata.c (Closes: #949611)."
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Jan 2020 18:13:11 +0100

libsolv (0.6.36-1) unstable; urgency=medium

  [ Mihai Moldovan ]
  * Fix CMake module installation, prepare for DNF support (Closes: #889509).
    Details see below.

  * New upstream release.
    - Fixes CVE-2018-20532 CVE-2018-20533 CVE-2018-20534. (Closes: #923002).
  * debian/patches:
    + Drop 1004_cmake-module-path-fix.patch. Breaks package, since Find*
      modules should actually be installed in the modules directory and this
      file does NOT provide version information.
    + Add 1005_install-cmake-module-into-libdir.patch. Installs
      FindLibSolv.cmake into ${libdir}/cmake/libsolv/.
    + Rename 1006_various-types.patch to 1006_various-typos.patch and refresh.
    + Add 3000_ext-repo_rpmdb_debian-style-home-dir-rpmdb.patch for RPMDB
      handling in home directories, compatible with Debian's rpm package.
    + Add 3010_ext-libsolvext.ver_add-rpm_state_create_real.patch for binary
      compatibility and exporting the newly inserted symbol.
    + Add 3020_tools-rpmdb2solve.c-add-homedir-functionality.patch,
      implementing homedir-based RPMDB support via the -H flag in the
      rpmdb2solve tool.
    + Add 9000_ext_repo_updateinfoxml.c_add-support-for-modular-data-
          aac9f0c2d791fa96bc9423231050f9e18fb973d6.patch to backport the
      modular updateinfo.xml functionality.
  * debian/libsolvext0.symbols:
    + Update.
  * debian/rules:
    + Enable Fedora comps support.
    + Add DEB_DH_MISSING_ARGS with --fail-missing, since the option is
      deprecated in dh_install and has been removed in compat 12. We'll keep it
      around due to using compat 10 for now.
  * debian/libsolv0-dev.install:
    + Install FindLibSolv.cmake correctly.
  * debian/copyright:
    + Add missing files/information.
  * debian/:
    + Add libsolv-tools.lintian-overrides.
    + Add libsolvext0.lintian-overrides.
  * debian/libsolv{-tools,ext0}.lintian-overrides:
    + Silence warning about modifying/reading the dpkg database directly.
      libsolv's capabilities are actually useful here.
  * debian/libsolv{,ext}0.symbols:
    + Add Build-Depends-Package tag mentioning libsolv0-dev package.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/*:
    + Drop Py2 python-solv bin.pkg. (Closes: #936923).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 24 Nov 2019 14:43:50 +0100

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,11 @@
  librpm-dev (>= 4),
  liblzma-dev,
  libbz2-dev,
- python-dev,
- libpython-dev,
  python3-dev,
  libpython3-dev,
  swig,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://salsa.debian.org/debian/libsolv/
 Vcs-Git: https://salsa.debian.org/debian/libsolv.git
@@ -161,25 +160,6 @@
  .
  This package contains command-line tools that facilitate using libsolv.
 
-Package: python-solv
-Section: python
-Architecture: any
-Depends:
- ${python:Depends},
- ${shlibs:Depends},
- ${misc:Depends},
- libsolv0 (= ${binary:Version}),
-Description: dependency solver using a satisfiability algorithm (Python2 bindings)
- This dependency solver code in this package is based on two major, but
- independent, blocks:
- .
- 1. Using a dictionary approach to store and retrieve package
-    and dependency information.
- 2. Using satisfiability, a well known and researched topic, for
-    resolving package dependencies.
- .
- This package contains the Python (v2) bindings for the libsolv0 library.
-
 Package: python3-solv
 Section: python
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 include /usr/share/cdbs/1/rules/utils.mk
 
 DEB_DH_INSTALL_ARGS += --fail-missing
+DEB_DH_MISSING_ARGS += --fail-missing
 
 DEB_DH_INSTALLCHANGELOGS_ARGS = NEWS
 
@@ -47,11 +48,12 @@
                          -DENABLE_LZMA_COMPRESSION=1 \
                          -DENABLE_BZIP2_COMPRESSION=1 \
                          -DENABLE_PERL=1 \
-                         -DENABLE_PYTHON=1 \
+                         -DENABLE_PYTHON=0 \
                          -DENABLE_PYTHON3=1 \
                          -DCMAKE_SKIP_RPATH=FALSE \
                          -DCMAKE_SKIP_INSTALL_RPATH=TRUE \
                          -DENABLE_COMPLEX_DEPS=1 \
+                         -DENABLE_COMPS=1 \
                          $(NULL)
 
 DEB_MAKE_CHECK_TARGET := test

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/([\d\.-]+)\.tar\.gz/libsolv-$1.tar.gz/,dversionmangle=s/\+dfsg// \
https://github.com/openSUSE/libsolv/tags .*/archive/([\d\.]+).tar.gz

## libsolv 0.7.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PROJECT (libsolv)
 
-CMAKE_MINIMUM_REQUIRED (VERSION 2.4)
+CMAKE_MINIMUM_REQUIRED (VERSION 2.8.5)
 
 OPTION (ENABLE_STATIC "Build a static version of the libraries?" OFF)
 OPTION (DISABLE_SHARED "Do not build a shared version of the libraries?" OFF)
@@ -17,6 +17,7 @@
 OPTION (ENABLE_PUBKEY "Build with pubkey support?" OFF)
 OPTION (ENABLE_RPMDB_BYRPMHEADER "Build with rpmdb Header support?" OFF)
 OPTION (ENABLE_RPMDB_LIBRPM "Use librpm to access the rpm database?" OFF)
+OPTION (ENABLE_RPMDB_BDB "Use BerkeleyDB to access the rpm database?" OFF)
 OPTION (ENABLE_RPMPKG_LIBRPM "Use librpm to access rpm header information?" OFF)
 OPTION (ENABLE_RPMMD "Build with rpmmd repository support?" OFF)
 OPTION (ENABLE_SUSEREPO "Build with suse repository support?" OFF)
@@ -27,6 +28,7 @@
 OPTION (ENABLE_ARCHREPO "Build with archlinux repository support?" OFF)
 OPTION (ENABLE_CUDFREPO "Build with cudf repository support?" OFF)
 OPTION (ENABLE_HAIKU "Build with Haiku package support?" OFF)
+OPTION (ENABLE_CONDA "Build with conda dependency support?" OFF)
 OPTION (ENABLE_APPDATA "Build with AppStream appdata support?" OFF)
 
 OPTION (MULTI_SEMANTICS "Build with support for multiple distribution types?" OFF)
@@ -35,37 +37,18 @@
 OPTION (ENABLE_BZIP2_COMPRESSION "Build with bzip2 compression support?" OFF)
 OPTION (ENABLE_ZSTD_COMPRESSION "Build with zstd compression support?" OFF)
 OPTION (ENABLE_ZCHUNK_COMPRESSION "Build with zchunk compression support?" OFF)
-
+OPTION (WITH_SYSTEM_ZCHUNK "Use system zchunk library?" OFF)
 OPTION (WITH_LIBXML2  "Build with libxml2 instead of libexpat?" OFF)
-
-# Library
-IF (DEFINED LIB)
-  SET (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${LIB}")
-ELSE (DEFINED  LIB)
-  IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
-    SET (LIB_SUFFIX "64")
-  ENDIF (CMAKE_SIZEOF_VOID_P MATCHES "8")
-  SET (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
-ENDIF (DEFINED  LIB)
-MESSAGE (STATUS "Libraries will be installed in ${LIB_INSTALL_DIR}")
-# Library
-IF (DEFINED INCLUDE)
-  SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${INCLUDE}")
-else (DEFINED INCLUDE)
-  SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
-ENDIF (DEFINED  INCLUDE)
-MESSAGE (STATUS "Header files will be installed in ${INCLUDE_INSTALL_DIR}")
-SET (BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
-IF (NOT MAN_INSTALL_DIR)
-SET (MAN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/man")
-IF (IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/man"  AND NOT IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/share/man")
-  SET (MAN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/man")
-ENDIF (IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/man"  AND NOT IS_DIRECTORY "${CMAKE_INSTALL_PREFIX}/share/man")
-ENDIF (NOT MAN_INSTALL_DIR)
-MESSAGE(STATUS "Man pages will be installed in ${MAN_INSTALL_DIR}")
+OPTION (WITHOUT_COOKIEOPEN "Disable the use of stdio cookie opens?" OFF)
+
+include (GNUInstallDirs)
+message (STATUS "Libraries will be installed in ${CMAKE_INSTALL_FULL_LIBDIR}")
+message (STATUS "Header files will be installed in ${CMAKE_INSTALL_FULL_INCLUDEDIR}")
+message (STATUS "Binaries will be installed in ${CMAKE_INSTALL_FULL_BINDIR}")
+message (STATUS "Man pages will be installed in ${CMAKE_INSTALL_FULL_MANDIR}")
 
 IF (NOT PKGCONFIG_INSTALL_DIR)
-  SET (PKGCONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/pkgconfig)
+  SET (PKGCONFIG_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 ENDIF (NOT PKGCONFIG_INSTALL_DIR)
 ####################################################################
 # CONFIGURATION                                                    #
@@ -74,6 +57,9 @@
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 SET (CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 INSTALL( FILES ${CMAKE_MODULE_PATH}/FindLibSolv.cmake DESTINATION ${CMAKE_INSTALL_PREFIX}/share/cmake/Modules )
+
+# for shared libraries on windows (DLLs), we just export all symbols for now
+SET(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
 
 INCLUDE (${CMAKE_SOURCE_DIR}/VERSION.cmake)
 
@@ -144,6 +130,8 @@
 SET (have_system ${have_system}x)
 ENDIF (HAIKU)
 
+SET (CMAKE_MACOSX_RPATH ON)
+
 IF (${have_system} STREQUAL x)
     MESSAGE (STATUS "Building for no system")
 ENDIF (${have_system} STREQUAL x)
@@ -155,6 +143,12 @@
 IF (ENABLE_ARCHREPO OR ENABLE_DEBIAN)
 SET (ENABLE_LZMA_COMPRESSION ON)
 ENDIF (ENABLE_ARCHREPO OR ENABLE_DEBIAN)
+
+IF (WITH_SYSTEM_ZCHUNK)
+SET (ENABLE_ZCHUNK_COMPRESSION ON)
+FIND_PACKAGE(PkgConfig REQUIRED)
+PKG_CHECK_MODULES(ZCHUNK zck REQUIRED)
+ENDIF (WITH_SYSTEM_ZCHUNK)
 
 IF (ENABLE_ZCHUNK_COMPRESSION)
 SET (ENABLE_ZSTD_COMPRESSION ON)
@@ -172,18 +166,23 @@
 
 IF (ENABLE_ZLIB_COMPRESSION)
 FIND_PACKAGE (ZLIB REQUIRED)
+INCLUDE_DIRECTORIES (${ZLIB_INCLUDE_DIRS})
 ENDIF (ENABLE_ZLIB_COMPRESSION)
 
 IF (ENABLE_LZMA_COMPRESSION)
 FIND_PACKAGE (LZMA REQUIRED)
+INCLUDE_DIRECTORIES (${LZMA_INCLUDE_DIR})
 ENDIF (ENABLE_LZMA_COMPRESSION)
 
 IF (ENABLE_BZIP2_COMPRESSION)
 FIND_PACKAGE (BZip2 REQUIRED)
+INCLUDE_DIRECTORIES (${BZIP2_INCLUDE_DIRS})
 ENDIF (ENABLE_BZIP2_COMPRESSION)
 
 IF (ENABLE_ZSTD_COMPRESSION)
 FIND_LIBRARY (ZSTD_LIBRARY NAMES zstd)
+FIND_PATH (ZSTD_INCLUDE_DIRS zstd.h)
+INCLUDE_DIRECTORIES (${ZSTD_INCLUDE_DIRS})
 ENDIF (ENABLE_ZSTD_COMPRESSION)
 
 IF (RPM5)
@@ -195,6 +194,10 @@
 PKG_CHECK_MODULES (RPM REQUIRED rpm)
 INCLUDE_DIRECTORIES (${RPM_INCLUDE_DIRS})
 ENDIF (RPM5)
+
+IF (ENABLE_CONDA)
+SET (MULTI_SEMANTICS ON)
+ENDIF (ENABLE_CONDA)
 
 IF (MULTI_SEMANTICS)
 MESSAGE (STATUS "Enabling multi dist support")
@@ -224,21 +227,29 @@
     ENDIF (RPMMISC_LIBRARY)
   ENDIF (RPM5)
 
-  # check if rpm contains a bundled berkeley db
-  CHECK_INCLUDE_FILE(rpm/db.h HAVE_RPM_DB_H)
-  IF (NOT ENABLE_RPMDB_LIBRPM)
-    IF (NOT HAVE_RPM_DB_H)
-      FIND_LIBRARY (DB_LIBRARY NAMES db)
-      IF (DB_LIBRARY)
-        SET (RPMDB_LIBRARY ${DB_LIBRARY} ${RPMDB_LIBRARY})
-      ENDIF (DB_LIBRARY)
-      IF (DB_INCLUDE_DIR)
-        INCLUDE_DIRECTORIES (${DB_INCLUDE_DIR})
-      ENDIF (DB_INCLUDE_DIR)
-    ENDIF (NOT HAVE_RPM_DB_H)
-  ENDIF (NOT ENABLE_RPMDB_LIBRPM)
+  IF (ENABLE_RPMDB)
+    IF (NOT ENABLE_RPMDB_BDB)
+      SET (ENABLE_RPMDB_LIBRPM ON)
+    ENDIF (NOT ENABLE_RPMDB_BDB)
+
+    # check if rpm contains a bundled berkeley db
+    CHECK_INCLUDE_FILE(rpm/db.h HAVE_RPM_DB_H)
+    IF (NOT ENABLE_RPMDB_LIBRPM)
+      IF (NOT HAVE_RPM_DB_H)
+        FIND_LIBRARY (DB_LIBRARY NAMES db)
+        IF (DB_LIBRARY)
+          SET (RPMDB_LIBRARY ${DB_LIBRARY} ${RPMDB_LIBRARY})
+        ENDIF (DB_LIBRARY)
+        IF (DB_INCLUDE_DIR)
+          INCLUDE_DIRECTORIES (${DB_INCLUDE_DIR})
+        ENDIF (DB_INCLUDE_DIR)
+      ENDIF (NOT HAVE_RPM_DB_H)
+    ENDIF (NOT ENABLE_RPMDB_LIBRPM)
+  ENDIF (ENABLE_RPMDB)
+
   INCLUDE (CheckLibraryExists)
-  CHECK_LIBRARY_EXISTS(rpmio pgpDigGetParams "" HAVE_PGPDIGGETPARAMS)
+  CHECK_LIBRARY_EXISTS(rpm rpmdbNextIteratorHeaderBlob "" HAVE_RPMDBNEXTITERATORHEADERBLOB)
+  CHECK_LIBRARY_EXISTS(rpm rpmdbFStat "" HAVE_RPMDBFSTAT)
 ENDIF (ENABLE_RPMDB OR ENABLE_RPMPKG_LIBRPM)
 
 IF (ENABLE_PUBKEY)
@@ -271,7 +282,8 @@
 
 # should create config.h with #cmakedefine instead...
 FOREACH (VAR HAVE_STRCHRNUL HAVE_FOPENCOOKIE HAVE_FUNOPEN WORDS_BIGENDIAN
-  HAVE_RPM_DB_H HAVE_PGPDIGGETPARAMS WITH_LIBXML2 )
+  HAVE_RPM_DB_H HAVE_RPMDBNEXTITERATORHEADERBLOB HAVE_RPMDBFSTAT
+  WITH_LIBXML2 WITHOUT_COOKIEOPEN)
   IF(${VAR})
     ADD_DEFINITIONS (-D${VAR}=1)
     SET (SWIG_FLAGS ${SWIG_FLAGS} -D${VAR})
@@ -279,7 +291,7 @@
 ENDFOREACH (VAR)
 
 FOREACH (VAR
-  ENABLE_LINKED_PKGS ENABLE_COMPLEX_DEPS MULTI_SEMANTICS)
+  ENABLE_LINKED_PKGS ENABLE_COMPLEX_DEPS MULTI_SEMANTICS ENABLE_CONDA)
   IF(${VAR})
     ADD_DEFINITIONS (-D${VAR}=1)
     SET (SWIG_FLAGS ${SWIG_FLAGS} -D${VAR})
@@ -294,7 +306,8 @@
   ENABLE_SUSEREPO ENABLE_COMPS ENABLE_TESTCASE_HELIXREPO
   ENABLE_HELIXREPO ENABLE_MDKREPO ENABLE_ARCHREPO ENABLE_DEBIAN ENABLE_HAIKU
   ENABLE_ZLIB_COMPRESSION ENABLE_LZMA_COMPRESSION ENABLE_BZIP2_COMPRESSION
-  ENABLE_ZSTD_COMPRESSION ENABLE_ZCHUNK_COMPRESSION ENABLE_PGPVRFY ENABLE_APPDATA)
+  ENABLE_ZSTD_COMPRESSION ENABLE_ZCHUNK_COMPRESSION ENABLE_PGPVRFY ENABLE_APPDATA
+  WITH_SYSTEM_ZCHUNK)
   IF(${VAR})
     ADD_DEFINITIONS (-D${VAR}=1)
     SET (SWIG_FLAGS ${SWIG_FLAGS} -D${VAR})
@@ -347,19 +360,3 @@
 "\\\\.la$"
 "Makefile$"
 "Makefile\\\\.in$"
-# cmake cache files
-"DartConfiguration.tcl$"
-"CMakeCache.txt"
-"CMakeFiles"
-"cmake_install.cmake$"
-"CMakeLists.txt.auto$"
-"CTestTestfile.cmake"
-"CPackConfig.cmake$"
-"CPackSourceConfig.cmake$"
-"libsolv.spec$"
-)
-
-INCLUDE(CPack)
-
-####################################################################
-# INCLUDES                                                         #

=== debian/changelog ===
libsolv (0.7.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B:/R: for libsolv0-dev -> libsolv-dev and libsolvext0-dev ->
      libsolvext-dev. (Closes: #960347).
  * debian/patches:
    + Rebase 1005_install-cmake-module-into-libdir.patch.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libsolv1.lintian-overrides:
    + Renamed tag: shlib-calls-exit -> exit-in-shared-library.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Jul 2020 09:34:51 +0200

libsolv (0.7.11-1) unstable; urgency=medium

  * New upstream release. (Closes: #951901).
  * debian/*:
    + SOVERSION bump (0 -> 1).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Drop 0001_CVE-2019-20387.patch. Applied upstream.
    + Disable Mihai's rpmdb patches for now. They need rebasing and discussion
      about RPM in Debian in general.
    + Rebase 1005_install-cmake-module-into-libdir.patch and
      1006_various-typos.patch.
  * debian/{docs,rules}:
    + Update list of documentation files.
  * debian/rules:
    + Move cmake files to correct location.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Apr 2020 23:49:09 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/libsolv/
 Vcs-Git: https://salsa.debian.org/debian/libsolv.git
 
-Package: libsolv0
+Package: libsolv1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -68,7 +68,7 @@
  .
  This package contains documentation files for libsolv.
 
-Package: libsolv0-dev
+Package: libsolv-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -76,8 +76,12 @@
  libsolv-dev
 Depends:
  ${misc:Depends},
- libsolv0 (= ${binary:Version}),
- libsolvext0-dev (= ${binary:Version}),
+ libsolv1 (= ${binary:Version}),
+ libsolvext-dev (= ${binary:Version}),
+Breaks:
+ libsolv0-dev (<< 0.7),
+Replaces:
+ libsolv0-dev (<< 0.7),
 Description: dependency solver using a satisfiability algorithm (development files)
  This dependency solver code in this package is based on two major, but
  independent, blocks:
@@ -89,7 +93,7 @@
  .
  This package contains development files for libsolv.
 
-Package: libsolvext0
+Package: libsolvext1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -123,7 +127,7 @@
  .
  This package contains the libsolv extension library.
 
-Package: libsolvext0-dev
+Package: libsolvext-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -131,7 +135,11 @@
  libsolvext-dev
 Depends:
  ${misc:Depends},
- libsolvext0 (= ${binary:Version}),
+ libsolvext1 (= ${binary:Version}),
+Breaks:
+ libsolvext0-dev (<< 0.7),
+Replaces:
+ libsolvext0-dev (<< 0.7),
 Description: dependency solver using a satisfiability algorithm (ext development files)
  This dependency solver code in this package is based on two major, but
  independent, blocks:
@@ -148,7 +156,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libsolv0 (= ${binary:Version}),
+ libsolv1 (= ${binary:Version}),
 Description: dependency solver using a satisfiability algorithm (command-line tools)
  This dependency solver code in this package is based on two major, but
  independent, blocks:
@@ -167,7 +175,7 @@
  ${python3:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- libsolv0 (= ${binary:Version}),
+ libsolv1 (= ${binary:Version}),
 Description: dependency solver using a satisfiability algorithm (Python3 bindings)
  This dependency solver code in this package is based on two major, but
  independent, blocks:
@@ -177,7 +185,7 @@
  2. Using satisfiability, a well known and researched topic, for
     resolving package dependencies.
  .
- This package contains the Python (v3) bindings for the libsolv0 library.
+ This package contains the Python (v3) bindings for the libsolv library.
 
 Package: libsolv-perl
 Section: perl
@@ -186,7 +194,7 @@
  ${perl:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- libsolv0 (= ${binary:Version}),
+ libsolv1 (= ${binary:Version}),
 Description: dependency solver using a satisfiability algorithm (Perl bindings)
  This dependency solver code in this package is based on two major, but
  independent, blocks:
@@ -196,4 +204,4 @@
  2. Using satisfiability, a well known and researched topic, for
     resolving package dependencies.
  .
- This package contains the Perl bindings for the libsolv0 library.
+ This package contains the Perl bindings for the libsolv library.

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 DEB_DH_INSTALLCHANGELOGS_ARGS = NEWS
 
-DEB_INSTALL_DOCS_ALL = README CREDITS BUGS
+DEB_INSTALL_DOCS_ALL = README CREDITS TODO_1.0
 
 DEB_CMAKE_EXTRA_FLAGS := \
                          -DCMAKE_INSTALL_PREFIX=/usr \
@@ -66,6 +66,7 @@
 
 tweak-install::
 	if [ -e debian/tmp/usr/bin/repo2solv.sh ]; then mv debian/tmp/usr/bin/repo2solv.sh debian/tmp/usr/bin/repo2solv; fi
+	if [ -e debian/tmp/cmake ]; then mv debian/tmp/cmake/ debian/tmp/usr/share/; fi
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## libsolv 0.7.17

=== debian/changelog ===
libsolv (0.7.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 0002-repo_rpmdb-handle-dbpath-in-homedir.patch.
    + Rebase 0003-rpmdb2solve.c-add-homedir-functionality.patch.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Feb 2021 21:04:46 +0100

libsolv (0.7.16-2) unstable; urgency=medium

  * debian/rules:
    + Create symlink from LibSolvConfig.cmake to FindLibSolv.cmake, required by
      libzypp.
  * debian/libsolv-dev.install:
    + Also install LibSolvConfig.cmake symlink into libsolv-dev bin:pkg.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Dec 2020 13:10:34 +0000

libsolv (0.7.16-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches: Rebase patches 0002 and 0003.
  * debian/copyright: Update copyright attributions.
  * debian/libsolvext1.symbols: Update symbols.

  [ Frédéric Pierret (fepitre) ]
  * debian/patches/series: remove deprecated patches
  * Change previous install location of FindLibSolv.cmake
  * Newer patches for dbpath location based on Mihai's work

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Oct 2020 22:27:40 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-dev,
  libpython3-dev,
  swig,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://salsa.debian.org/debian/libsolv/
